LVEXTEND(8) | System Manager's Manual | LVEXTEND(8)

# NAME

lvextend - extend the size of a logical volume

# SYNOPSIS

lvextend [--alloc AllocationPolicy] [-A|--autobackup y|n] [-d|--debug] [-h|-?|--help] [-i|--stripes Stripes [-I|--stripesize StripeSize]] {-l|--extents [+]LogicalExtentsNumber[%{VG|LV|PVS|FREE}] | -L|--size [+]LogicalVolumeSize[kKmMgGtT]} [-t|--test] [-v|--verbose] LogicalVolumePath [PhysicalVolumePath...]

# DESCRIPTION

lvextend allows you to extend the size of a logical volume. Extension of snapshot logical volumes (see lvcreate(8) for information to create snapshots) is supported as well. But to change the number of copies in a mirrored logical volume use lvconvert(8).

# OPTIONS

See lvm for common options.

-l, --extents [+]LogicalExtentsNumber[%{VG|LV|PVS|FREE}]
  Extend or set the logical volume size in units of logical extents. With the + sign the value is added to the actual size of the logical volume and without it, the value is taken as an absolute one. The number can also be expressed as a percentage of the total space in the Volume Group with the suffix %VG, relative to the existing size of the Logical Volume with the suffix %LV, of the remaining free space for the specified PhysicalVolume(s) with the suffix %PVS, or as a percentage of the remaining free space in the Volume Group with the suffix %FREE.
-L, --size [+]LogicalVolumeSize[kKmMgGtTpPeE]
  Extend or set the logical volume size in units of megabytes. A size suffix of M for megabytes, G for gigabytes, T for terabytes, P for petabytes or E for exabytes is optional. With the + sign the value is added to the actual size of the logical volume and without it, the value is taken as an absolute one.
-i, --stripes Stripes
  Gives the number of stripes for the extension. Not applicable to LVs using the original metadata LVM format, which must use a single value throughout.
-I, --stripesize StripeSize
  Gives the number of kilobytes for the granularity of the stripes. Not applicable to LVs using the original metadata LVM format, which must use a single value throughout.
  StripeSize must be 2^n (n = 2 to 9)

# Examples

"lvextend -L +54 /dev/vg01/lvol10 /dev/sdk3" tries to extend the size of that logical volume by 54MB on physical volume /dev/sdk3. This is only possible if /dev/sdk3 is a member of volume group vg01 and there are enough free physical extents in it.

"lvextend /dev/vg01/lvol01 /dev/sdk3" tries to extend the size of that logical volume by the amount of free space on physical volume /dev/sdk3. This is equivalent to specifying "-l +100%PVS" on the command line.

# SEE ALSO

lvm(8), lvcreate(8), lvconvert(8), lvreduce(8), lvresize(8), lvchange(8)

LVM TOOLS 2.02.44-cvs (02-17-09) | Sistina Software UK